Debian Bug report logs - #432195
vgrabbj: freetype1 deprecation

version graph

Package: vgrabbj; Maintainer for vgrabbj is Ludovic Rousseau <rousseau@debian.org>; Source for vgrabbj is src:vgrabbj.

Reported by: Moritz Muehlenhoff <jmm@debian.org>

Date: Sun, 8 Jul 2007 11:06:01 UTC

Severity: serious

Tags: lenny, patch, sid

Fixed in version vgrabbj/0.9.6-3.1

Done: Petter Reinholdtsen <pere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Janssen <jamuraa@debian.org>:
Bug#432195; Package vgrabbj. Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@debian.org>:
New Bug report received and forwarded. Copy sent to Michael Janssen <jamuraa@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: vgrabbj: freetype1 deprecation
Date: Sun, 08 Jul 2007 12:59:06 +0200
Package: vgrabbj
Severity: important

Hi,
for Lenny we'd like to stop supporting two freetype packages in the archive.
freetype1 has been in oldlibs for Etch, it has very few reverse deps left
and we'll try to phase it out now.
Please adapt your package, so that it links against the regular freetype
package.

Cheers,
        Moritz

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.21-2-686 (SMP w/1 CPU core)
Locale: LANG=C, LC_CTYPE=de_DE.ISO-8859-15@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Janssen <jamuraa@debian.org>:
Bug#432195; Package vgrabbj. Full text and rfc822 format available.

Acknowledgement sent to Jamuraa <jamuraa@base0.net>:
Extra info received and forwarded to list. Copy sent to Michael Janssen <jamuraa@debian.org>. Full text and rfc822 format available.

Message #10 received at 432195@bugs.debian.org (full text, mbox):

From: Jamuraa <jamuraa@base0.net>
To: "Moritz Muehlenhoff" <jmm@debian.org>, 432195@bugs.debian.org
Subject: Re: Bug#432195: vgrabbj: freetype1 deprecation
Date: Thu, 12 Jul 2007 10:16:13 -0500
On 7/8/07, Moritz Muehlenhoff <jmm@debian.org> wrote:
> Hi,
> for Lenny we'd like to stop supporting two freetype packages in the archive.
> freetype1 has been in oldlibs for Etch, it has very few reverse deps left
> and we'll try to phase it out now.
> Please adapt your package, so that it links against the regular freetype
> package.

Any pointers to a Freetype1 -> Freetype2 migration document would be
appreciated.  freetype.sf.net's documentation seems to imply that it
would be "easy", but provides no further information.  It seems to be
a complicated conversion as many function calls and data structures
have changed.  I am not highly versed in freetype1 or freetype2, so
this may take me some time.

-- 
Michael Janssen --- Jamuraa --- jamuraa@base0.net --- jamuraa@debian.org



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Janssen <jamuraa@debian.org>:
Bug#432195; Package vgrabbj. Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Michael Janssen <jamuraa@debian.org>. Full text and rfc822 format available.

Message #15 received at 432195@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Jamuraa <jamuraa@base0.net>
Cc: 432195@bugs.debian.org
Subject: Re: Bug#432195: vgrabbj: freetype1 deprecation
Date: Mon, 30 Jul 2007 21:07:19 +0200
On Thu, Jul 12, 2007 at 10:16:13AM -0500, Jamuraa wrote:
> On 7/8/07, Moritz Muehlenhoff <jmm@debian.org> wrote:
>> Hi,
>> for Lenny we'd like to stop supporting two freetype packages in the 
>> archive.
>> freetype1 has been in oldlibs for Etch, it has very few reverse deps left
>> and we'll try to phase it out now.
>> Please adapt your package, so that it links against the regular freetype
>> package.
>
> Any pointers to a Freetype1 -> Freetype2 migration document would be
> appreciated.  freetype.sf.net's documentation seems to imply that it
> would be "easy", but provides no further information.  It seems to be
> a complicated conversion as many function calls and data structures
> have changed.  I am not highly versed in freetype1 or freetype2, so
> this may take me some time.

I've never used it, but my recommendation would be to build it in
a chroot with only freetype2 installed and working reversely through
the build failures.

Cheers,
        Moritz



Severity set to `serious' from `important' Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. (Sat, 19 Jan 2008 10:39:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Janssen <jamuraa@debian.org>:
Bug#432195; Package vgrabbj. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Michael Janssen <jamuraa@debian.org>. Full text and rfc822 format available.

Message #22 received at 432195@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 432195@bugs.debian.org
Cc: Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>
Subject: Re: vgrabbj: freetype1 deprecation
Date: Wed, 23 Jul 2008 08:00:16 +0200
Hi.  Just to let you know, the vgrabbj package is required by
stopmotion in Debian Edu to be able to grab images.  Without vgrabbj,
stopmotion do not work, and vgrabbj is currently missing in Lenny,
breaking stopmotion.  Any hope of having vgrabbj fixed in Lenny?

Cc to the stopmotion maintainer to let him know about this issue.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Janssen <jamuraa@debian.org>:
Bug#432195; Package vgrabbj. Full text and rfc822 format available.

Acknowledgement sent to Jamuraa <jamuraa@base0.net>:
Extra info received and forwarded to list. Copy sent to Michael Janssen <jamuraa@debian.org>. Full text and rfc822 format available.

Message #27 received at 432195@bugs.debian.org (full text, mbox):

From: Jamuraa <jamuraa@base0.net>
To: "Petter Reinholdtsen" <pere@hungry.com>, 432195@bugs.debian.org
Subject: Re: Bug#432195: vgrabbj: freetype1 deprecation
Date: Wed, 23 Jul 2008 01:34:29 -0500
On Wed, Jul 23, 2008 at 1:00 AM, Petter Reinholdtsen <pere@hungry.com> wrote:
> Hi.  Just to let you know, the vgrabbj package is required by
> stopmotion in Debian Edu to be able to grab images.  Without vgrabbj,
> stopmotion do not work, and vgrabbj is currently missing in Lenny,
> breaking stopmotion.  Any hope of having vgrabbj fixed in Lenny?
>
> Cc to the stopmotion maintainer to let him know about this issue.

I've been looking into this for a little bit now, and it doesn't look
like something I can fix quickly, as there isn't an easy upgrade path
from freetype1 to the new one.  If there are any tips that you can
give on the transition, or help with the patch, it will speed the
inclusion of vgrabbj in Lenny.

-- 
Michael Janssen --- Jamuraa --- jamuraa@base0.net --- jamuraa@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Janssen <jamuraa@debian.org>:
Bug#432195; Package vgrabbj. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Michael Janssen <jamuraa@debian.org>. Full text and rfc822 format available.

Message #32 received at 432195@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 432195@bugs.debian.org
Subject: Re: Bug#432195: vgrabbj: freetype1 deprecation
Date: Tue, 5 Aug 2008 19:05:41 +0200
[Michael Janssen]
> I've been looking into this for a little bit now, and it doesn't
> look like something I can fix quickly, as there isn't an easy
> upgrade path from freetype1 to the new one.

A quick fix to keep vgrabbj working is to drop support for imprinting
labels in the images.  It would keep vgrabbj working when freetype1 is
removed.

This patch implement that change:

diff -u vgrabbj-0.9.6/debian/control vgrabbj-0.9.6/debian/control
--- vgrabbj-0.9.6/debian/control
+++ vgrabbj-0.9.6/debian/control
@@ -3,17 +3,14 @@
 Priority: optional
 Maintainer: Michael Janssen <jamuraa@debian.org>
-Build-Depends: debhelper (>= 4.0.0), libjpeg62-dev, libpng3-dev, libttf-dev, ftplib-dev, autotools-dev
+Build-Depends: debhelper (>= 4.0.0), libjpeg62-dev, libpng3-dev, ftplib-dev, autotools-dev
 Standards-Version: 3.7.2.0

 Package: vgrabbj
 Architecture: any
 Depends: ${shlibs:Depends}
-Suggests: msttcorefonts
 Description: grabs a image from a camera and puts it in jpg/png format
  vgrabbj is a program that will grab an image from a v4l compatible
  device (usually a webcam of some sort) and save it in a jpg or png
- file, with options given on the command line to imprint a label onto
- the image.  It only works on v4l devices that can be set to 24-bit
- mode.
+ file.  It only works on v4l devices that can be set to 24-bit mode.
  .
  Homepage: http://vgrabbj.gecius.de/
diff -u vgrabbj-0.9.6/debian/rules vgrabbj-0.9.6/debian/rules
--- vgrabbj-0.9.6/debian/rules
+++ vgrabbj-0.9.6/debian/rules
@@ -20,7 +20,7 @@
 configure-stamp:
        dh_testdir
        # Add here commands to configure the package.
-       ./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=\$${prefix}/../etc
+       ./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --sysconfdir=\$${prefix}/../etc --disable-timestamp
        # Configure doesn't seem to take to my --sysconfdir, fix the config file
        # location
        sed 's/\/usr\/etc\/vgrabbj.conf/\/etc\/vgrabbj.conf/' < config.h > config.h

Perhaps a better alternative instead of having vgrabbj removed from
testing?  It would be great if you could try to get vgrabbj in Lenny,
to get the stopmotion package used by Debian Edu working with USB
cameras in Lenny.

Happy hacking,
-- 
Petter Reinholdtsen




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Janssen <jamuraa@debian.org>:
Bug#432195; Package vgrabbj. Full text and rfc822 format available.

Acknowledgement sent to Jamuraa <jamuraa@base0.net>:
Extra info received and forwarded to list. Copy sent to Michael Janssen <jamuraa@debian.org>. Full text and rfc822 format available.

Message #37 received at 432195@bugs.debian.org (full text, mbox):

From: Jamuraa <jamuraa@base0.net>
To: "Petter Reinholdtsen" <pere@hungry.com>, 432195@bugs.debian.org
Subject: Re: Bug#432195: vgrabbj: freetype1 deprecation
Date: Tue, 5 Aug 2008 13:13:23 -0500
On Tue, Aug 5, 2008 at 12:05 PM, Petter Reinholdtsen <pere@hungry.com> wrote:
> [Michael Janssen]
>> I've been looking into this for a little bit now, and it doesn't
>> look like something I can fix quickly, as there isn't an easy
>> upgrade path from freetype1 to the new one.
>
> A quick fix to keep vgrabbj working is to drop support for imprinting
> labels in the images.  It would keep vgrabbj working when freetype1 is
> removed.
>
> This patch implement that change:
[patch snipped]
> Perhaps a better alternative instead of having vgrabbj removed from
> testing?  It would be great if you could try to get vgrabbj in Lenny,
> to get the stopmotion package used by Debian Edu working with USB
> cameras in Lenny.

This sounds like a good solution for now.  I'll implement the patch
tonight and upload a new version of vgrabbj.  I don't like taking
features away, but holding things out of testing is another story.

-- 
Michael Janssen --- Jamuraa --- jamuraa@base0.net --- jamuraa@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Janssen <jamuraa@debian.org>:
Bug#432195; Package vgrabbj. Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Michael Janssen <jamuraa@debian.org>. Full text and rfc822 format available.

Message #42 received at 432195@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 432195@bugs.debian.org
Subject: Re: Bug#432195: vgrabbj: freetype1 deprecation
Date: Mon, 11 Aug 2008 17:42:55 +0200
[Michael Janssen]
> This sounds like a good solution for now.  I'll implement the patch
> tonight and upload a new version of vgrabbj.  I don't like taking
> features away, but holding things out of testing is another story.

Your upload did not make it to the archive yet.  Any news?  Perhaps an
NMU to solve this issue?

Happy hacking,
-- 
Petter Reinholdtsen




Tags added: patch Request was from Petter Reinholdtsen <pere@hungry.com> to controlbugs.debian.org. (Mon, 11 Aug 2008 22:42:08 GMT) Full text and rfc822 format available.

Reply sent to Petter Reinholdtsen <pere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Moritz Muehlenhoff <jmm@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #49 received at 432195-close@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@debian.org>
To: 432195-close@bugs.debian.org
Subject: Bug#432195: fixed in vgrabbj 0.9.6-3.1
Date: Wed, 13 Aug 2008 09:18:02 +0000
Source: vgrabbj
Source-Version: 0.9.6-3.1

We believe that the bug you reported is fixed in the latest version of
vgrabbj, which is due to be installed in the Debian FTP archive:

vgrabbj_0.9.6-3.1.diff.gz
  to pool/main/v/vgrabbj/vgrabbj_0.9.6-3.1.diff.gz
vgrabbj_0.9.6-3.1.dsc
  to pool/main/v/vgrabbj/vgrabbj_0.9.6-3.1.dsc
vgrabbj_0.9.6-3.1_i386.deb
  to pool/main/v/vgrabbj/vgrabbj_0.9.6-3.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 432195@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Petter Reinholdtsen <pere@debian.org> (supplier of updated vgrabbj package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 13 Aug 2008 09:27:12 +0200
Source: vgrabbj
Binary: vgrabbj
Architecture: source i386
Version: 0.9.6-3.1
Distribution: unstable
Urgency: low
Maintainer: Michael Janssen <jamuraa@debian.org>
Changed-By: Petter Reinholdtsen <pere@debian.org>
Description: 
 vgrabbj    - grabs a image from a camera and puts it in jpg/png format
Closes: 432195 490033
Changes: 
 vgrabbj (0.9.6-3.1) unstable; urgency=low
 .
   * Non-maintainer upload to solve RC bug.
   * Drop dependency on freetype1 by disabling the support for inserting
     timestamp text in the images (Closes: #432195).  With this change the
     need for fonts is reomved and thus it drop the suggests on
     msttcorefonts (Closes: #490033).
   * Moved homepage URL from description to the new header.
   * Remove /usr/sbin/ from dirs, as the directory is empty.
Checksums-Sha1: 
 dd3a85e67e1905c03eb3de003d2052d1624396e6 1044 vgrabbj_0.9.6-3.1.dsc
 2a0bf11df979574ba0f1303dcb40992f3ef4c797 85444 vgrabbj_0.9.6-3.1.diff.gz
 43e1698b372eea97dcbcbf615fe1e41ad5ccb842 50950 vgrabbj_0.9.6-3.1_i386.deb
Checksums-Sha256: 
 533ec25e07272281f9b38fd39a373a909a3d573e8240da18df81956433bfe79a 1044 vgrabbj_0.9.6-3.1.dsc
 67afbaa7580f93123aa82cf7d4f130fdc8e7c9d63bbbafcd7f73a90d12bbe8a9 85444 vgrabbj_0.9.6-3.1.diff.gz
 59ae9e1055f70a23fd81fa55667901d03bf32dcf53584e9fd910b92608a276bd 50950 vgrabbj_0.9.6-3.1_i386.deb
Files: 
 c52bc0318c18dd8e9729f86b8f17dcb2 1044 graphics optional vgrabbj_0.9.6-3.1.dsc
 b1dd6595c0f382de7b0d07333ec9e3ae 85444 graphics optional vgrabbj_0.9.6-3.1.diff.gz
 3fef3638e3b768050d94d6df92b57c17 50950 graphics optional vgrabbj_0.9.6-3.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFIopH920zMSyow1ykRAo9VAKCt4JT6B1aNaotbUrOIqtjK2KsG4gCfb2RR
didNQ4wbLQMJTFjKSV/mP3k=
=ctgj
-----END PGP SIGNATURE-----





Tags added: lenny, sid Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Sat, 16 Aug 2008 22:51:17 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Mar 2009 10:38:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:15:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.